Bug 1214661 - component owners inaccessible due to 'Product.get_products' was not found
Summary: component owners inaccessible due to 'Product.get_products' was not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-bugzilla
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-23 10:16 UTC by Tomas Dolezal
Modified: 2015-06-10 19:17 UTC (History)
4 users (show)

Fixed In Version: python-bugzilla-1.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:16:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Dolezal 2015-04-23 10:16:23 UTC
Description of problem:
trying to load component owners via --component_owners fails with:
Server error: <Fault -32601: "The requested method 'Product.get_products' was not found.">

Version-Release number of selected component (if applicable):
python-bugzilla-1.2.0-1.el7.noarch

How reproducible:
always

Steps to Reproduce:
$ bugzilla info --component_owners "Red Hat Enterprise Linux 6"

Actual results:
Server error: <Fault -32601: "The requested method 'Product.get_products' was not found.">

Expected results:
list of names and mail addresses of owners of all components

Additional info:

Comment 1 Cole Robinson 2015-04-23 13:32:26 UTC
Thanks for the report, upstream is fixed:

commit 4c62e4a6727d0052f58a1118d42e6f8ca54b8131
Author: Cole Robinson <crobinso@redhat.com>
Date:   Wed Apr 15 13:06:40 2015 -0400

    base: Don't use deprecated get_products alias


I'll get a new build out soon

Comment 2 Penelope Fudd 2015-05-15 02:45:56 UTC
Hi, as a follow-on to this bug, the 'bugzilla' command from python-bugzilla-1.2.0-1.fc22.noarch is using the deprecated Product.get_products method:

# bugzilla info --products
Server error: <Fault -32601: "The requested method 'Product.get_products' was not found.">

Comment 3 Penelope Fudd 2015-05-15 03:45:12 UTC
You're right, the upstream has it here:
  https://git.fedorahosted.org/cgit/python-bugzilla.git/
  git clone ssh://git.fedorahosted.org/git/python-bugzilla.git
  git clone https://git.fedorahosted.org/git/python-bugzilla.git

Comment 4 Fedora Update System 2015-05-22 17:39:11 UTC
python-bugzilla-1.2.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-bugzilla-1.2.1-1.el7

Comment 5 Fedora Update System 2015-05-22 17:40:28 UTC
python-bugzilla-1.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-bugzilla-1.2.1-1.el6

Comment 6 Fedora Update System 2015-05-26 21:30:29 UTC
Package python-bugzilla-1.2.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-bugzilla-1.2.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6429/python-bugzilla-1.2.1-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-10 19:16:03 UTC
python-bugzilla-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-06-10 19:17:45 UTC
python-bugzilla-1.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.